package com.crm.ib.task.service;

import com.crm.rely.backend.core.pojo.table.TradeHistoryTable;
import com.crm.rely.backend.core.pojo.view.DailyHistoryTradeView;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Created by max on 2020/12/1.
 */
public interface DailyTradeService {

    Integer calc(Map<String, Date> configs) throws Exception;

    void splitAndBatchSave(List<TradeHistoryTable> trades, String platform) throws Exception;

    void supply(Date startDate, Date endDate) throws Exception;

}
